## pytorch-text 0.8.1

=== requirements.txt ===
# Progress bars on iterators
tqdm

# Downloading data and other files
requests

# Optional NLP tools
nltk
spacy
sacremoses
git+git://github.com/jekbradbury/revtok.git

# Documentation
Sphinx
sphinx_rtd_theme

# Required for tests only:

# Style-checking for PEP8
flake8==3.7.9

# Run unit tests
pytest

# Lets pytest find our code by automatically modifying PYTHONPATH
pytest-pythonpath

# Coverage statistics
pytest-cov
codecov
