=== docs/requirements.txt ===
sphinx==2.4.4
sphinxcontrib-googleanalytics
-e git+git://github.com/pytorch/pytorch_sphinx_theme.git#egg=pytorch_sphinx_theme
