=== debian/changelog ===
pytorch-text (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Add new B-Ds and change architecture from all to any.
  * Add debian/clean.
  * Patch upstream CMake to prevent it from building re2.
  * d/rules: Noop dh_auto_test.
  * Add ${shlibs:Depends} to the binary package dependency.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Dec 2020 18:01:13 +0800

pytorch-text (0.6.0-4) unstable; urgency=medium

  * Specify X-Python3-Version: 3.9 .
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Wed, 25 Nov 2020 17:25:22 +0800

pytorch-text (0.6.0-3) unstable; urgency=medium

  * Disable python 3.9 for pybuild.
  * Update maintainer mail address to debian-ai@l.d.o.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Wed, 21 Oct 2020 15:31:41 +0800

pytorch-text (0.6.0-2) experimental; urgency=medium

  * Rename bin:pytorch-text to bin:python3-torchtext

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Aug 2020 12:37:59 +0800

pytorch-text (0.6.0-1) experimental; urgency=medium

  * Initial release. (Closes: #958891)

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Aug 2020 09:27:36 +0800
