=== debian/control ===
Source: pytorch-text
Section: science
Homepage: https://github.com/pytorch/text
Priority: optional
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-text.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-text
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               ninja-build,
               dh-python,
               python3-all,
               python3-nltk,
               python3-pytest,
               python3-requests,
               python3-sentencepiece,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-torch,
               python3-tqdm,
               libre2-dev, libdouble-conversion-dev, libtorch-dev,
               pybind11-dev,
               libsentencepiece-dev,
X-Python3-Version: 3.9

Package: python3-torchtext
Architecture: any
Depends: python3-torch, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: python3-nltk
Description: Data loaders and abstractions for text and NLP
 This package consists of:
 .
  * torchtext.data: Generic data loaders, abstractions, and iterators for
    text (including vocabulary and word vectors)
  * torchtext.datasets: Pre-built loaders for common NLP datasets
