=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with python3

override_dh_auto_test:
