=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pytorch-text-$1.tar.gz%" \
https://github.com/pytorch/text/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
