=== docs/requirements.txt ===
Jinja2<3.1.0
sphinx==5.1.1
-e git+https://github.com/pytorch/pytorch_sphinx_theme.git@cece053#egg=pytorch_sphinx_theme
sphinx_gallery==0.11.1
matplotlib
