=== debian/changelog ===
pytorch-text (0.14.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: set X-Python3-Version to 3.11 only (Closes: #1030735).

 -- Aron Xu <aron@debian.org>  Wed, 08 Feb 2023 19:06:35 +0800

pytorch-text (0.14.1-1) unstable; urgency=medium

  [ Mo Zhou ]
  * cme update dpkg-copyright.
  * Require python3-torch (>= 1.12.0~).
  * Bump X-Python3-Version to 3.10 (Closes: #1008924)
  * Override dh_auto_clean to no-op.
  * Refresh existing patches.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Aron Xu ]
  * Team upload
  * New upstream version 0.14.1
  * d/control: add 3.11 to X-Python3-Version
  * d/control: add 3.11 to X-Python3-Version
  * d/patches: add patch to avoid init submodules
  * d/rules: clean __pycache__ directories

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2023 15:35:52 +0800
