=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Homepage: https://github.com/pytorch/text
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-text.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-text
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -20,12 +20,12 @@
                python3-six,
                python3-sphinx,
                python3-sphinx-rtd-theme,
-               python3-torch,
+               python3-torch (>= 1.12.0~),
                python3-tqdm,
                libre2-dev, libdouble-conversion-dev, libtorch-dev,
                pybind11-dev,
                libsentencepiece-dev,
-X-Python3-Version: 3.9
+X-Python3-Version: 3.11
 
 Package: python3-torchtext
 Architecture: any
