=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild --with python3

override_dh_auto_clean:
	find . -type d -name "__pycache__" -exec rm -rf {} \;

override_dh_auto_test:
	:
