=== debian/changelog ===
pytorch-text (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2 (PyTorch 2.0.1)
  * Change recommends into suggests. Also suggest sentencepiece.
  * Export BUILD_VERSION for correct version info.
  * Amend the dh_auto_clean target. (Closes: #1048979, #1049494)

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Sep 2023 21:01:13 -0400
