=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: python3-torchtext
 Architecture: any
 Depends: python3-torch, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
-Recommends: python3-nltk
+Suggests: python3-nltk, python3-sentencepiece
 Description: Data loaders and abstractions for text and NLP
  This package consists of:
  .
