=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export BUILD_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ -Spybuild --with python3

override_dh_auto_clean:
	-find . -type d -name "__pycache__" -exec rm -rf {} \;
	dh_auto_clean

override_dh_auto_test:
	:
